import { Token, TokenType } from '../../types';

global.vtoken = (
  name: string,
  value: string,
  quote: string = '',
  comment: string = '',
  beginning: string = '',
  ending: string = '',
  equals: string = '=',
): Token => {
  return {
    beginning,
    comment,
    ending,
    equals,
    name,
    quote,
    token: TokenType.VARIABLE,
    value,
  };
};

global.nltoken = (value: string = '\n'): Token => {
  return {
    token: TokenType.NEWLINE,
    value,
  };
}

global.wstoken = (value: string = ''): Token => {
  return {
    token: TokenType.WHITESPACE,
    value,
  };
}

global.ctoken = (value: string = ''): Token => {
  return {
    token: TokenType.COMMENT,
    value,
  };
}
