export enum TokenType {
  VARIABLE = 'variable',
  NEWLINE = 'newline',
  WHITESPACE = 'whitespace',
  COMMENT = 'comment',
}

export type SimpleToken = {
  token: TokenType;
  value: string;
};

export type VariableToken = {
  name: string;
  quote: string;
  comment: string;
  beginning: string;
  ending: string;
  equals: string;
} & SimpleToken;

export type Token = SimpleToken | VariableToken;

export enum ModifyMode {
  NO_APPEND = 'no-append',
  APPEND = 'append',
  SMART_APPEND = 'smart-append',
}

export type Variable = {
  name: string;
  value: string | undefined | null;
  comment?: string;
};

export type Config = {
  beautify?: boolean;
  enforceNewLineEnd?: boolean;
  modifyMode?: ModifyMode;
};

export type VariableTuple = [string, string | null];
export type VariableToUpdate = Variable | VariableToken | VariableTuple;
